name: IDC-2.54-90
description: IDC header, 2 rows, 0.1 in/2.54 mm pitch, through hole, right angle, 90°, box, shrouded
variations: 2x3, 2x4, 2x5, 2x6, 2x7, 2x8, 2x10, 2x12, 2x13, 2x15, 2x17, 2x20, 2x25, 2x30, 2x32
keywords: Connector, Male, IDC
datasheet: http://www.on-shore.com/wp-content/uploads/2015/09/302-rxxx.pdf

pinout@2x3: 1-6

pinout@2x4: 1-8

pinout@2x5: 1-10

pinout@2x6: 1-12

pinout@2x7: 1-14

pinout@2x8: 1-16

pinout@2x10: 1-20

pinout@2x12: 1-24

pinout@2x13: 1-26

pinout@2x15: 1-30

pinout@2x17: 1-34

pinout@2x20: 1-40

pinout@2x25: 1-50

pinout@2x30: 1-60

pinout@2x32: 1-64

schematic@2x3:
  suffix: -2x3
  symbol: connector
  left: 1, 3, 5
  right: 2, 4, 6

schematic@2x4:
  suffix: -2x4
  symbol: connector
  left: 1, 3, 5, 7
  right: 2, 4, 6, 8

schematic@2x5:
  suffix: -2x5
  symbol: connector
  left: 1, 3, 5, 7, 9
  right: 2, 4, 6, 8, 10

schematic@2x6:
  suffix: -2x6
  symbol: connector
  left: 1, 3, 5, 7, 9, 11
  right: 2, 4, 6, 8, 10, 12

schematic@2x7:
  suffix: -2x7
  symbol: connector
  left: 1, 3, 5, 7, 9, 11, 13
  right: 2, 4, 6, 8, 10, 12, 14

schematic@2x8:
  suffix: -2x8
  symbol: connector
  left: 1, 3, 5, 7, 9, 11, 13, 15
  right: 2, 4, 6, 8, 10, 12, 14, 16

schematic@2x10:
  suffix: -2x10
  symbol: connector
  left: 1, 3, 5, 7, 9, 11, 13, 15, 17, 19
  right: 2, 4, 6, 8, 10, 12, 14, 16, 18, 20

schematic@2x12:
  suffix: -2x12
  symbol: connector
  left: 1, 3, 5, 7, 9, 11, 13, 15, 17, 19, 21, 23
  right: 2, 4, 6, 8, 10, 12, 14, 16, 18, 20, 22, 24

schematic@2x13:
  suffix: -2x13
  symbol: connector
  left: 1, 3, 5, 7, 9, 11, 13, 15, 17, 19, 21, 23, 25
  right: 2, 4, 6, 8, 10, 12, 14, 16, 18, 20, 22, 24, 26

schematic@2x15:
  suffix: -2x15
  symbol: connector
  left: 1, 3, 5, 7, 9, 11, 13, 15, 17, 19, 21, 23, 25, 27, 29
  right: 2, 4, 6, 8, 10, 12, 14, 16, 18, 20, 22, 24, 26, 28, 30

schematic@2x17:
  suffix: -2x17
  symbol: connector
  left: 1, 3, 5, 7, 9, 11, 13, 15, 17, 19, 21, 23, 25, 27, 29, 31, 33
  right: 2, 4, 6, 8, 10, 12, 14, 16, 18, 20, 22, 24, 26, 28, 30, 32, 34

schematic@2x20:
  suffix: -2x20
  symbol: connector
  left: 1, 3, 5, 7, 9, 11, 13, 15, 17, 19, 21, 23, 25, 27, 29, 31, 33, 35, 37, 39
  right: 2, 4, 6, 8, 10, 12, 14, 16, 18, 20, 22, 24, 26, 28, 30, 32, 34, 36, 38, 40

schematic@2x25:
  suffix: -2x25
  symbol: connector
  left: 1, 3, 5, 7, 9, 11, 13, 15, 17, 19, 21, 23, 25, 27, 29, 31, 33, 35, 37, 39, 41, 43, 45, 47, 49
  right: 2, 4, 6, 8, 10, 12, 14, 16, 18, 20, 22, 24, 26, 28, 30, 32, 34, 36, 38, 40, 42, 44, 46, 48, 50

schematic@2x30:
  suffix: -2x30
  symbol: connector
  left: 1, 3, 5, 7, 9, 11, 13, 15, 17, 19, 21, 23, 25, 27, 29, 31, 33, 35, 37, 39, 41, 43, 45, 47, 49, 51, 53, 55, 57, 59
  right: 2, 4, 6, 8, 10, 12, 14, 16, 18, 20, 22, 24, 26, 28, 30, 32, 34, 36, 38, 40, 42, 44, 46, 48, 50, 52, 54, 56, 58, 60

schematic@2x32:
  suffix: -2x32
  symbol: connector
  left: 1, 3, 5, 7, 9, 11, 13, 15, 17, 19, 21, 23, 25, 27, 29, 31, 33, 35, 37, 39, 41, 43, 45, 47, 49, 51, 53, 55, 57, 59, 61, 63
  right: 2, 4, 6, 8, 10, 12, 14, 16, 18, 20, 22, 24, 26, 28, 30, 32, 34, 36, 38, 40, 42, 44, 46, 48, 50, 52, 54, 56, 58, 60, 62, 64

housing:
  pattern: custom
  options: polarized
  height: 9.1
  pitch: 2.54
  leadHeight: 2.9-3.3
  leadWidth: 0.64
  leadLength: 0.64
  holeDiameter: 1.0
  columnCount: 2
  bodyWidth: 9.1
  bodyPosition: 7.08, 0 # -2.54/2+12.9-9.1/2
# bodyLength: 10.16 + 2.54 * (rowCount - 1)

housing@2x3:
  suffix: -2x3
  pattern: custom
  options: polarized
  height: 9.1
  pitch: 2.54
  leadHeight: 2.9-3.3
  leadWidth: 0.64
  leadLength: 0.64
  holeDiameter: 1.0
  columnCount: 2
  bodyWidth: 9.1
  bodyPosition: 7.08, 0 # -2.54/2+12.9-9.1/2
  rowCount: 3
  bodyLength: 15.24

housing@2x4:
  suffix: -2x4
  pattern: custom
  options: polarized
  height: 9.1
  pitch: 2.54
  leadHeight: 2.9-3.3
  leadWidth: 0.64
  leadLength: 0.64
  holeDiameter: 1.0
  columnCount: 2
  bodyWidth: 9.1
  bodyPosition: 7.08, 0 # -2.54/2+12.9-9.1/2
  rowCount: 4
  bodyLength: 17.78

housing@2x5:
  suffix: -2x5
  pattern: custom
  options: polarized
  height: 9.1
  pitch: 2.54
  leadHeight: 2.9-3.3
  leadWidth: 0.64
  leadLength: 0.64
  holeDiameter: 1.0
  columnCount: 2
  bodyWidth: 9.1
  bodyPosition: 7.08, 0 # -2.54/2+12.9-9.1/2
  rowCount: 5
  bodyLength: 20.32

housing@2x6:
  suffix: -2x6
  pattern: custom
  options: polarized
  height: 9.1
  pitch: 2.54
  leadHeight: 2.9-3.3
  leadWidth: 0.64
  leadLength: 0.64
  holeDiameter: 1.0
  columnCount: 2
  bodyWidth: 9.1
  bodyPosition: 7.08, 0 # -2.54/2+12.9-9.1/2
  rowCount: 6
  bodyLength: 22.86

housing@2x7:
  suffix: -2x7
  pattern: custom
  options: polarized
  height: 9.1
  pitch: 2.54
  leadHeight: 2.9-3.3
  leadWidth: 0.64
  leadLength: 0.64
  holeDiameter: 1.0
  columnCount: 2
  bodyWidth: 9.1
  bodyPosition: 7.08, 0 # -2.54/2+12.9-9.1/2
  rowCount: 7
  bodyLength: 25.40

housing@2x8:
  suffix: -2x8
  pattern: custom
  options: polarized
  height: 9.1
  pitch: 2.54
  leadHeight: 2.9-3.3
  leadWidth: 0.64
  leadLength: 0.64
  holeDiameter: 1.0
  columnCount: 2
  bodyWidth: 9.1
  bodyPosition: 7.08, 0 # -2.54/2+12.9-9.1/2
  rowCount: 8
  bodyLength: 27.94

housing@2x10:
  suffix: -2x10
  pattern: custom
  options: polarized
  height: 9.1
  pitch: 2.54
  leadHeight: 2.9-3.3
  leadWidth: 0.64
  leadLength: 0.64
  holeDiameter: 1.0
  columnCount: 2
  bodyWidth: 9.1
  bodyPosition: 7.08, 0 # -2.54/2+12.9-9.1/2
  rowCount: 10
  bodyLength: 33.02

housing@2x12:
  suffix: -2x12
  pattern: custom
  options: polarized
  height: 9.1
  pitch: 2.54
  leadHeight: 2.9-3.3
  leadWidth: 0.64
  leadLength: 0.64
  holeDiameter: 1.0
  columnCount: 2
  bodyWidth: 9.1
  bodyPosition: 7.08, 0 # -2.54/2+12.9-9.1/2
  rowCount: 12
  bodyLength: 38.10

housing@2x13:
  suffix: -2x13
  pattern: custom
  options: polarized
  height: 9.1
  pitch: 2.54
  leadHeight: 2.9-3.3
  leadWidth: 0.64
  leadLength: 0.64
  holeDiameter: 1.0
  columnCount: 2
  bodyWidth: 9.1
  bodyPosition: 7.08, 0 # -2.54/2+12.9-9.1/2
  rowCount: 13
  bodyLength: 40.64

housing@2x15:
  suffix: -2x15
  pattern: custom
  options: polarized
  height: 9.1
  pitch: 2.54
  leadHeight: 2.9-3.3
  leadWidth: 0.64
  leadLength: 0.64
  holeDiameter: 1.0
  columnCount: 2
  bodyWidth: 9.1
  bodyPosition: 7.08, 0 # -2.54/2+12.9-9.1/2
  rowCount: 15
  bodyLength: 45.72

housing@2x17:
  suffix: -2x17
  pattern: custom
  options: polarized
  height: 9.1
  pitch: 2.54
  leadHeight: 2.9-3.3
  leadWidth: 0.64
  leadLength: 0.64
  holeDiameter: 1.0
  columnCount: 2
  bodyWidth: 9.1
  bodyPosition: 7.08, 0 # -2.54/2+12.9-9.1/2
  rowCount: 17
  bodyLength: 50.80

housing@2x20:
  suffix: -2x20
  pattern: custom
  options: polarized
  height: 9.1
  pitch: 2.54
  leadHeight: 2.9-3.3
  leadWidth: 0.64
  leadLength: 0.64
  holeDiameter: 1.0
  columnCount: 2
  bodyWidth: 9.1
  bodyPosition: 7.08, 0 # -2.54/2+12.9-9.1/2
  rowCount: 20
  bodyLength: 58.42

housing@2x25:
  suffix: -2x25
  pattern: custom
  options: polarized
  height: 9.1
  pitch: 2.54
  leadHeight: 2.9-3.3
  leadWidth: 0.64
  leadLength: 0.64
  holeDiameter: 1.0
  columnCount: 2
  bodyWidth: 9.1
  bodyPosition: 7.08, 0 # -2.54/2+12.9-9.1/2
  rowCount: 25
  bodyLength: 71.12

housing@2x30:
  suffix: -2x30
  pattern: custom
  options: polarized
  height: 9.1
  pitch: 2.54
  leadHeight: 2.9-3.3
  leadWidth: 0.64
  leadLength: 0.64
  holeDiameter: 1.0
  columnCount: 2
  bodyWidth: 9.1
  bodyPosition: 7.08, 0 # -2.54/2+12.9-9.1/2
  rowCount: 30
  bodyLength: 83.82

housing@2x32:
  suffix: -2x32
  pattern: custom
  options: polarized
  height: 9.1
  pitch: 2.54
  leadHeight: 2.9-3.3
  leadWidth: 0.64
  leadLength: 0.64
  holeDiameter: 1.0
  columnCount: 2
  bodyWidth: 9.1
  bodyPosition: 7.08, 0 # -2.54/2+12.9-9.1/2
  rowCount: 32
  bodyLength: 88.90

